Package org.kapott.hbci.callback

# Class AbstractHBCICallback

java.lang.Object
org.kapott.hbci.callback.AbstractHBCICallback

All Implemented Interfaces:
  `HBCICallback`

Direct Known Subclasses:
  `HBCICallbackIOStreams`, `HBCICallbackNative`, `HBCICallbackThreaded`

public abstract class AbstractHBCICallback extends Object implements HBCICallback
Diese Klasse dient als Basisklasse für allen Callback-Klassen. Eine Anwendung sollte zur Erstellung einer eigenen Callback-Klasse diese oder eine der schon bereitgestellten "fertigen" Klassen (`HBCICallbackConsole`, `HBCICallbackSwing`) erweitern

## Field Summary

### Fields inherited from interface org.kapott.hbci.callback.HBCICallback

`CLOSE_CONNECTION, HAVE_CHIPCARD, HAVE_CRC_ERROR, HAVE_ERROR, HAVE_HARDPIN, HAVE_IBAN_ERROR, HAVE_INST_MSG, HAVE_NEW_MY_KEYS, NEED_BLZ, NEED_CHIPCARD, NEED_CONNECTION, NEED_COUNTRY, NEED_CUSTOMERID, NEED_FILTER, NEED_HARDPIN, NEED_HOST, NEED_INFOPOINT_ACK, NEED_NEW_INST_KEYS_ACK, NEED_PASSPHRASE_LOAD, NEED_PASSPHRASE_SAVE, NEED_PORT, NEED_PROXY_PASS, NEED_PROXY_USER, NEED_PT_DECOUPLED, NEED_PT_DECOUPLED_RETRY, NEED_PT_PHOTOTAN, NEED_PT_PIN, NEED_PT_QRTAN, NEED_PT_SECMECH, NEED_PT_TAN, NEED_PT_TANMEDIA, NEED_REMOVE_CHIPCARD, NEED_SIZENTRY_SELECT, NEED_SOFTPIN, NEED_USERID, STATUS_DIALOG_END, STATUS_DIALOG_END_DONE, STATUS_DIALOG_INIT, STATUS_DIALOG_INIT_DONE, STATUS_INIT_SIGID, STATUS_INIT_SIGID_DONE, STATUS_INIT_SYSID, STATUS_INIT_SYSID_DONE, STATUS_INIT_UPD, STATUS_INIT_UPD_DONE, STATUS_INST_BPD_INIT, STATUS_INST_BPD_INIT_DONE, STATUS_INST_GET_KEYS, STATUS_INST_GET_KEYS_DONE, STATUS_LOCK_KEYS, STATUS_LOCK_KEYS_DONE, STATUS_MSG_CREATE, STATUS_MSG_CRYPT, STATUS_MSG_DECRYPT, STATUS_MSG_PARSE, STATUS_MSG_RAW_RECV, STATUS_MSG_RAW_RECV_ENCRYPTED, STATUS_MSG_RAW_SEND, STATUS_MSG_RECV, STATUS_MSG_SEND, STATUS_MSG_SIGN, STATUS_MSG_VERIFY, STATUS_SEND_INFOPOINT_DATA, STATUS_SEND_KEYS, STATUS_SEND_KEYS_DONE, STATUS_SEND_TASK, STATUS_SEND_TASK_DONE, TYPE_BOOLEAN, TYPE_NONE, TYPE_SECRET, TYPE_TEXT, USERID_CHANGED, WRONG_PIN`

## Constructor Summary

Constructors
Constructor
Description
`AbstractHBCICallback()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`createDefaultLogLine(String msg, int level, Date date, StackTraceElement trace)`
Erzeugt einen Log-Eintrag.
`final void`
`status(HBCIPassport passport, int statusTag, Object o)`
Kurzform für `HBCICallback.status(HBCIPassport, int, Object[])` für den Fall, dass das `Object[]` nur ein einziges Objekt enthält
`boolean`
`useThreadedCallback(HBCIPassport passport, int reason, String msg, int datatype, StringBuffer retData)`
Standard-Verhalten - gibt für alle Callbacks `false` (= asynchrone Callback-Behandlung) zurück.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.kapott.hbci.callback.HBCICallback

`callback, log, status`

## Constructor Details

### AbstractHBCICallback

public AbstractHBCICallback()

## Method Details

### createDefaultLogLine

protected String createDefaultLogLine(String msg, int level, Date date, StackTraceElement trace)
Erzeugt einen Log-Eintrag. Diese Methode wird von den mitgelieferten Callback-Klassen für die Erzeugung von Log-Einträgen verwendet. Um ein eigenes Format für die Log-Eintrage zu definieren, kann diese Methode mit einer eigenen Implementierung überschrieben werden.
Die Parameter entsprechen denen der `log`-Methode

Returns:
  ein Log-Eintrag

### status

public final void status(HBCIPassport passport, int statusTag, Object o)
Description copied from interface: `HBCICallback`
Kurzform für `HBCICallback.status(HBCIPassport, int, Object[])` für den Fall, dass das `Object[]` nur ein einziges Objekt enthält

Specified by:
  `status` in interface `HBCICallback`

### useThreadedCallback

public boolean useThreadedCallback(HBCIPassport passport, int reason, String msg, int datatype, StringBuffer retData)
Standard-Verhalten - gibt für alle Callbacks `false` (= asynchrone Callback-Behandlung) zurück.

Specified by:
  `useThreadedCallback` in interface `HBCICallback`